extends Node2D

class_name CheckPoint


export var activated:=false

func deactivate() -> void:
	activated = false
	$Particles2D.emitting = false
	$AnimationPlayer.play("idle")
	
func activate() -> void:
	if activated: return
	activated = true
	$AnimationPlayer.play("activated")
	$Particles2D.emitting = true
	
func _on_activated_animation_finished():
	$Particles2D.amount = 5
	$AnimationPlayer.play("active")

